Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Qt-based library for using D-BUS
Name:	 	dbus-qt3
Version: 	0.70
Release: 	4
License: 	AFL/GPL
URL: 	 	http://distro.ibiblio.org/pub/linux/distributions/sourcemage/distro/misc/
Source0: 	%{name}-%{version}.tar.bz2
Group: 	 	System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	qt-devel 
BuildRequires:  dbus-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
Obsoletes:	dbus-qt
Requires: 	dbus >= 0.93

%description
D-BUS add-on library to integrate the standard D-BUS library with
the Qt3 thread abstraction and main loop.

%package devel
Summary: 	Libraries and headers for D-BUS
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	dbus-devel
Requires: 	qt-devel
Obsoletes:	dbus-qt-devel
%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{version}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT 


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libdbus-qt-1.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/dbus-1.0/dbus/*
%{_libdir}/libdbus-qt-1.so
%{_libdir}/libdbus-qt-1.la
%{_libdir}/libdbus-qt-1.a


%changelog
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.70-4
- rebuilt against dbus 1.0.2
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.70-3
- rebuilt against dbus 0.94
* Fri Sep 29 2006 Christian Metzen <metzench@ccux-linux.de> 0.70-2
- added obsoletes for devel package
* Fri Sep 29 2006 Christian Metzen <metzench@ccux-linux.de> 0.70-1
- Initial release
